
void handleNoteOn(byte channel, byte pitch, byte velocity)
{

  if (velocity)
  {

    indicator_LED_start_millis = millis();
    indicator_LED_end_millis = indicator_LED_start_millis + 25;
    analogWrite(16, 255);

    noteon[pitch] = 1;
    if (velocity_sensitive_brightness)
    {
      unsigned int tempvalue = (velocity << volumeBS) + 1;
      if (tempvalue > 255)
      {tempvalue = 255;}
      start_brightness_index[pitch] = tempvalue;
    }
    else
    {
      start_brightness_index[pitch] = 255;
    }

    current_brightness_index[pitch] = start_brightness_index[pitch];
    start_millis[pitch] = millis();

    /*
    if (fadeup)
    {peak_millis[pitch] = start_millis[pitch] + fadeup_time;}
    else
    {peak_millis[pitch] = start_millis[pitch];}
    end_millis[pitch] = peak_millis[pitch] + (current_brightness_index[pitch] << noteon_fade_bitshift);
    */

  }

  else
  {

    if (fadeoff_noteoff)
    {
      indicator_LED_start_millis = millis();
      indicator_LED_end_millis = indicator_LED_start_millis + 25;
      analogWrite(16, 255);

      noteon[pitch] = 0;
      start_brightness_index[pitch] = current_brightness_index[pitch];
      start_millis[pitch] = millis();
      //end_millis[pitch] = start_millis[pitch] + (current_brightness_index[pitch] << noteoff_fade_bitshift);
    }

    else // turn off
    {
      indicator_LED_start_millis = millis();
      indicator_LED_end_millis = indicator_LED_start_millis + 25;
      analogWrite(16, 255);
      
      noteon[pitch] = 0;
      current_brightness_index[pitch] = 0;
      start_brightness_index[pitch] = 0;
      //end_millis[pitch] = 0;
    }
    
  }

}

void handleNoteOff(byte channel, byte pitch, byte velocity)
{

  if (fadeoff_noteoff)
  {
    indicator_LED_start_millis = millis();
    indicator_LED_end_millis = indicator_LED_start_millis + 25;
    analogWrite(16, 255);

    noteon[pitch] = 0;
    start_brightness_index[pitch] = current_brightness_index[pitch];
    start_millis[pitch] = millis();
    //end_millis[pitch] = start_millis[pitch] + (current_brightness_index[pitch] << noteoff_fade_bitshift);
  }

  else // turn off
    {
      indicator_LED_start_millis = millis();
      indicator_LED_end_millis = indicator_LED_start_millis + 25;
      analogWrite(16, 255);
      
      noteon[pitch] = 0;
      current_brightness_index[pitch] = 0;
      start_brightness_index[pitch] = 0;
      //end_millis[pitch] = 0;
    }

}


