
/*

MIDI Lighting for keyboard and MIDI song files
Written by Perry Scanlon, Version 2018-02-01
Videos and instructions at Lights4Music.com

You are free to use this code as you wish.  If you create derivative code and release publicly, or if you use in a commercial product, please give credit for the use of this code.  
For full license details, see license.txt contained in this code release.

This code uses the MIDI library from 47 Effects (Copyright (c) 2016 Francois Best, http://fortyseveneffects.com/) which can be downloaded from https://github.com/FortySevenEffects/arduino_midi_library/tree/dev 
and the WS2812serial library which can be downloaded from https://github.com/PaulStoffregen/WS2812Serial or may be included in future versions of Teensyduino.
For Arduino with AVR processors, see this library: https://learn.adafruit.com/dma-driven-neopixels/overview

Tested with Teensy LC and should work with Teensy 3.2 also.

Adjust the values in the a_global tab to customize your light show.

To fine-tune the fade off times, you can probably use division instead of bit-shifting and not notice the additional processing time on a 32-bit processor.

To use with USB MIDI instead of 5-pin MIDI, there are different ways to do this, depending on which processor you use:
For Teensy, just replace all MIDI commands with USB MIDI commands, and select Tools > USB Type "MIDI" before loading the sketch.  This is easy, and the library is included in Teensyduino.  
For Arduino Uno, Mega, Micro, and Leonardo see this page:  https://github.com/tttapa/MIDI_controller
For Arduinos with 32-bit processors (e.g. ARM chips) see this page: https://www.arduino.cc/en/Reference/MIDIUSB

*/

