
void setup()
{
    Serial3.begin(250000);
    delay(1000);
    serial3TXbuffersizeminus1 = Serial3.availableForWrite();
    
    // Connect the handleNoteOn function to the library,
    // so it is called upon reception of a NoteOn.
    MIDI.setHandleNoteOn(handleNoteOn);  // Put only the name of the function

    // Do the same for NoteOffs
    MIDI.setHandleNoteOff(handleNoteOff);

    // Initiate MIDI communications, listen to all channels
    MIDI.begin(MIDI_CHANNEL_OMNI);

    pinMode(16, OUTPUT); // Optional indicator LED.
}
